%define upstream_name 	 XML-EasyOBJ
%define upstream_version 1.12

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 10

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch

Requires:  perl-XML-Parser 
Requires:  perl-XML-XSLT 

%description
%{upstream_name} - Easy XML object navigation

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Sat Sep 05 2020 guillomovitch <guillomovitch> 1.120.0-10.mga8
+ Revision: 1622610
- fix build

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-9.mga8
+ Revision: 1498365
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-8.mga7
+ Revision: 1272753
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1035951
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 938682
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 739652
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 686915
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 516074
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 374995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 27283
- mageia rebuild
- imported package perl-XML-EasyOBJ


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 401866
- rebuild using %%perl_convert_version

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.12-8mdv2009.0
+ Revision: 258838
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.12-7mdv2009.0
+ Revision: 246727
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.12-5mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.12-5mdv2008.0
+ Revision: 23517
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.12-4mdk
- Fix According to perl Policy
	- Source URL
	- URL
- use mkrel

* Tue Jun 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.12-3mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.12-2mdk
- rebuild for new auto{prov,req}

